Skip to Content

Hi all,

as announced, we have managed to provide the latest SAPUI5 version 1.8 as SDN preview in the week of the TechEd Madrid. For all of you that are eagerly waiting for the next update of SAPUI5 (might be around 7000 customers according to download statistics) and obviously also for newly interested people, please find the latest SAPUI5 version 1.8.4 in the download area.

Besides many updates and new features, the version 1.8.4 contains:

  • the new mobile library “sap.m” with around 30 new touch-optimized controls
  • a new chart library “sap.viz” based on D3 that is replacing the deprecated library “sap.service.visualization”
  • a newly added mobile chart library called “sap.makit”
  • SAPUI5 Tools now work in combination with NWDS
  • OData Batch functionality was added, an Event bus was introduced and many new controls and features like Range Slider, Carousel, Notification Bar, InPlaceEdit, etc.

Find out many more features looking at the release notes section in the DemoKit-Application which is included in the download package.

Please download SAPUI5 version 1.8 from SDN (don’t be irritated as the download link still states 1.4.3, we’ll fix that wrong link text soon), install, try it and please continue to give us feedback.

Best regards

Stefan

PS: to avoid questions, you’ll also find the documentation of the TeamProvider-Feature in the DemoKit. This feature is not supported by the SDN installation package. For the TeamProvider-Feature you need to get the SAPUI5 Tools officially from SMP along with the UI Extension ABAP add-on (planned for 21.12.2012).

PPS: the download package size will shrink in the future. Some mobile coding samples (that are packaged several times) use a wrong image format. We preferred to stick to the timelines as the runtime for your applications is not affected. Sorry for that!

To report this post you need to login first.

32 Comments

You must be Logged on to comment or reply to a post.

  1. Vinit Pugaliya

    Hi Stefan,

    Thank you for the update. Can you please let me know the download link of 1.8 ? SDN download still have 1.4.3 jars in it. Do the file name in jar file also due to error ?

    Thanks,
    Vinit Pugaliya

    (0) 
        1. Stefan Beck Post author

          Hi Vinit,

          I’ve just tried it once again and it is the correct archive. Also the text was adapted in the meantime: “UI Development Toolkit for HTML5 Version SAPUI5 1.8.4”

          Does anybody else have that problem? In this case, it might be a replication issue of SDN infrastructure and you should try again tomorrow.

          Best regards

          Stefan

          (0) 
              1. Stefan Beck Post author

                Hi Vinit,

                see my reply to Mukul. Must be filled caches in your network/browser. I’ve asked the SDN team to modify the download link accordingly.

                Sorry for the delay

                Stefan

                (0) 
                1. Vinit Pugaliya

                  Hi Stefan,

                  Thanks for quick update, Please let us know once download link is updated.

                  Just FYI, I tried downloading files after clearing browser cache, but still same issue.

                  Thanks,

                  Vinit Pugaliya

                  (0) 
        1. Stefan Beck Post author

          Hi Klaus,

          the file name was changed to avoid the caching issues that several people have seen. So you have just hit a bad time during that change. Please wait some more time until replication took place and try again.

          Best regards

          Stefan

          (0) 
    1. Stefan Beck Post author

      Hello Tamas,

      I’d assume that it will work with the Java delivery that comes with NW 7.31 SP6. SAPUI5 has had to maintain ACL lists for the DCs that were needed for internal development teams at SAP using NWDI. However, don’t take this as commitment, I’m not at all an NWDI expert and I hope that one of these experts jumps in to help me here 😕

      Best regards

      Stefan

      (0) 
  2. Mukul Nagle

    I downloaded the latest package from the link mentioned above. Although the title has changed to UI Development Toolkit for HTML5 Version SAPUI5 1.8.4 (145 MB), it contains the older versions of libraries and new ones are absent. The timestamps are also exactly same as the previous release.

    Please look into this and let us know when the new libraries are available. Thanks.

    (0) 
    1. Stefan Beck Post author

      Hi Mukul,

      we have had that discussion above – you’re the second one with that issue:-( That might have 2 reasons:

      – SDN replication is not yet complete and dependent on the server, you get the old package

      – The Network on your side or your browser has active caches and the download package with version 1.4.3 is still in one of these caches. The package is a static resource and the key was not changed, so this is quite likely.

      So please wait until tomorrow, clear all caches that you can access and try again.If that fails, I ask the SDN colleagues to update the download section with a new link id to avoid that problem.

      Best regards

      Stefan

      (0) 
  3. Christian Jianelli

    Hi Stefan,

    I’ve tried to download it from many different browsers and networks but I’m still getting the 1.4.3 version. It’s certainly a cache issue. Can you change the zip filename?

    Thanks,

    Christian

    (0) 
    1. Stefan Beck Post author

      Hi Tamas,

      the NW Cloud version needs some more time due to more complex (formal) shipment processes compared to SDN. It is planned for the first week in December (6th RTC).

      Regards

      Stefan

      (0) 
  4. Vinit Pugaliya

    Hi Stefan,

    The download version of 1.8 is missing uiext jar files in tools-updatesite. Can you please have a look and update download version accordingly ?

    Thanks,
    Vinit Pugaliya

    (0) 
    1. Silke Arians

      Hello Vinit,

      could you please describe what you mean by “uiext jar files in tools-updatesite“?

      Many thanks in advance and kind regards,

      Silke

      (0) 
      1. Vinit Pugaliya

        Hello Silke,

        After we extract HTML5 download version to server and navigate to below path

        HTML5Evaluation_complete_new\tools-updatesite\plugins

        It is missing JAR file for uiext, which is to be used for inbox UI development.

        As per SAP instruction we need to install tools-updatesite as a new software and can use libraries during build and runtime. However, eclipse is unable to recognize sap.uiext.inbox as it is missing corresponding libraries in tools-updatesite folder.

        Please let me know if you need more information.

        Thanks,
        Vinit Pugaliya

        (0) 
  5. Jan Penninkhof

    Just wanted to convey my compliments about the new sap.viz control set. It’s nice and way more developer friendly than the visualization-set. Thanks! 🙂

    (0) 
  6. Vinit Pugaliya

    Hi Stefan,

    Can you please let us know when will SAPUI5 be available as GA ? Does SAP plans to publish any release strategy on SAPUI5 ? Also, it would be nice to know on when can we start using standalone SAPUI5 toolkit for live projects.

    Thanks,
    Vinit Pugaliya

    (0) 
    1. Stefan Beck Post author

      Hello Vinit,

      SAPUI5 can be used productively already. It now depends on your platform:

      • ABAP: NW UI Extension add-on is available (7.0 – 7.31)
      • NW Java 7.31 is fine with SP5 or 6
      • NW Java 7.30 is coming soon with SP9
      • HANA XS server SP5+ also includes SAPUI5
      • NW Cloud also offers UI5 (https://sapui5.netweaver.ondemand.com/sdk/)

      Best regards

      Stefan

      (0) 
      1. Jan Penninkhof

        Hi Stefan,

        Thanks for the clarification.

        Do you know if there is also already an official (licensing) statement about using SAPUI5 beyond the systems you mentioned? E.g. what about applying SAPUI5 in a non-SAP related Java/Tomcat solution?

        Best,

        Jan

        (0) 
        1. Stefan Beck Post author

          Hello Jan,

          the thread is currently between legal and solutions inside SAP. So in principle the current status is (means no final confirmation) that both sides are fine to allow this, but it is not that easy how to formulate this accordingly. Just modifying the download terms of SCN seems not to be the adequate way – I was hoping for this “easy” solution. So unfortunately, I cannot clarify that as of today.

          Best regards

          Stefan

          (0) 

Leave a Reply